import { OptionType } from '@/components/input/SelectInput';
import * as Yup from 'yup';

export const KandangFilterSchema = Yup.object().shape({
  location: Yup.object({
    value: Yup.string().nullable(),
    label: Yup.string().nullable(),
  }).nullable(),

  pic: Yup.object({
    value: Yup.string().nullable(),
    label: Yup.string().nullable(),
  }).nullable(),
});

export type KandangFilterType = {
  location?: OptionType<string>;
  pic?: OptionType<string>;
};
